Package com.smartgwt.client.types

# Enum HiliteIconPosition

java.lang.Object
java.lang.Enum<HiliteIconPosition>
com.smartgwt.client.types.HiliteIconPosition

All Implemented Interfaces:
  `ValueEnum`, `Serializable`, `Comparable<HiliteIconPosition>`, `Constable`

public enum HiliteIconPosition extends Enum<HiliteIconPosition> implements ValueEnum
Where a `hilite icon` will be placed relative to normal cell content.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `AFTER`
  icon will be placed after the normal cell contents
  `BEFORE`
  icon will be placed before the normal cell contents
  `REPLACE`
  icon will be shown instead of the normal cell contents

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static HiliteIconPosition`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static HiliteIconPosition[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### BEFORE

    public static final HiliteIconPosition BEFORE
    icon will be placed before the normal cell contents

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "before".

  - ### AFTER

    public static final HiliteIconPosition AFTER
    icon will be placed after the normal cell contents

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "after".

  - ### REPLACE

    public static final HiliteIconPosition REPLACE
    icon will be shown instead of the normal cell contents

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "replace".

- ## Method Details

  - ### values

    public static HiliteIconPosition[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static HiliteIconPosition valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Specified by:
      `getValue` in interface `ValueEnum`